# KotlinDslModelsParameters

class KotlinDslModelsParameters

Parameters for Kotlin DSL models.

#### Since

6.0

## Constructors

KotlinDslModelsParameters
Link copied to clipboard
constructor()

## Properties

CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION
Link copied to clipboard
val CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION: String = "-Dorg.gradle.kotlin.dsl.provider.mode=classpath"
CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE
Link copied to clipboard
val CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE: String = "classpath"
CORRELATION_ID_GRADLE_PROPERTY_NAME
Link copied to clipboard
val CORRELATION_ID_GRADLE_PROPERTY_NAME: String = "org.gradle.kotlin.dsl.provider.cid"
PREPARATION_TASK_NAME
Link copied to clipboard
val PREPARATION_TASK_NAME: String = "prepareKotlinBuildScriptModel"
PROVIDER_MODE_SYSTEM_PROPERTY_NAME
Link copied to clipboard
val PROVIDER_MODE_SYSTEM_PROPERTY_NAME: String = "org.gradle.kotlin.dsl.provider.mode"
STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION
Link copied to clipboard
val STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION: String = "-Dorg.gradle.kotlin.dsl.provider.mode=strict-classpath"
STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE
Link copied to clipboard
val STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE: String = "strict-classpath"